> Tous les forums > Forum Linux
 Debian Wheezy HS après mise à jourSujet résolu
Ajouter un message à la discussion
Page : [1] 
Page 1 sur 1
Mimile
  Posté le 28/10/2014 @ 11:26 
Aller en bas de la page 
Astucien

Bonjour,

Je viens de mettre à jour ma Debian Wheezy en utilisant apt-get install et upgrade.

Il y avait 59 paquets dont un nouveau noyau.

Au redémarrage, tout semble bien se passer (les lignes défilent), puis l'écran passe au noir (comme d'habitude) et en principe, après quelques secondes, ma tête s'affiche en demandant mon mot de passe ce qui entraîne l'affichage de mon bureau gnome.

Problème : quand l'écran passe au noir, une fenêtre s'affiche avec ce texte : "could not update ICEauthority file /var/lib/gdm3/.ICEauthority" avec un bouton "fermer la sesssion".

Quand je clique sur ce bouton, la fenêtre disparaît et je reste face à mon écran noir.

Je n'ai d'autre solution que de passer en tty2 pour pouvoir rebooter.

J'ai essayé de booter avec l'option "mode de dépannage" avec le même résultat.

Qui pourra me dire ce qu'il faut faire pour résoudre ce problème ?

A lui, merci d'avance.

Amicalement

Publicité
Mimile
 Posté le 28/10/2014 à 11:51 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Résolu

Je me réponds à moi-même au profit de ceux qui rencontreraient le même problème :

Après la fermeture de session (voir ci-dessus), passer en tty2, entrer login et mot de passe (attention : apparemment le pavé numérique ne fonctionne pas : utiliser les chiffres du clavier principal).

Exécuter en SU :

# /etc/init.d/gdm3 stop

# rm /var/lib/gdm3/.ICEauthority* (ne pas oublier l'astérisque à la fin de ICEauthority).

# /etc/init.d/gdm3 start

A ce moment, ma tête s'affiche demandant mon mot de passe et peu après le bureau gnome apparaît.

Voilà

webby
 Posté le 28/10/2014 à 15:12 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Petit astucien

Bonjour Mimile,

Bravo !!

Un vrai Linuxien !

aug
 Posté le 28/10/2014 à 15:27 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

,

Merci pour l'info.

Une précision: qu'entends tu par " passer en tty2".

Merci.

m_n
 Posté le 28/10/2014 à 16:03 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

aug a écrit :

,

Merci pour l'info.

Une précision: qu'entends tu par " passer en tty2".

Merci.

tty2 , veux dire = en mode texte --> ( en écran noir , ou , full screen )

<< Autrement dit , c'est la console de secours .. >>

pour switchez en tty2 :

Ctrl+Alt+F2

on se logue avec le username -- passwd

# (( Ben, là .. on fait travail à faire )) ..

et pour revenir ou pour finir -- Ctrl_Alt+Fn

ou -- startx

Ou bien , faire un redemarrage forcé en fermant l'ordi et le redemarrer ..

PS / .. les chiffres du ( Num-Lock ) ne fonctionne pas en tty2 , il faut utiliser les chiffres au haut des lettres du clavier ..



Modifié par m_n le 28/10/2014 20:24
aug
 Posté le 28/10/2014 à 16:11 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

m_n,

La base de mes connaissances de Linux s'agrandie.

Merci .

Mori
 Posté le 29/10/2014 à 00:08 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

salut,

dans ma centos, pour avoir le pavé numérique actif (avec numlockx installé) en console TTY :

$ su - (alternatives selon les distros ou configuration personnalisée : $ su -c "nano /etc/rc.local" ou $ sudo nano /etc/rc.local)

# nano /etc/rc.local

et copier à la fin :

# Turn Numlock on for the TTYs:
for tty in /dev/tty[1-6]; do
/usr/bin/setleds -D +num < $tty
done

valider par ctrl o et quitter par ctrl x
j'aime bien nano, mais on peut préférer vi, vim ou emacs.

heu... sinon # apt-get dist-upgrade est quand même préférable à # apt-get upgrade.



Modifié par Mori le 29/10/2014 00:12
Wullfk
 Posté le 29/10/2014 à 13:48 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Bonjour,

étonnant le problème que tu as eux Mimile, je viens de mettre à jour ma VM Debian 7.6 Wheezy et je n'ai pas eux ce problème

Mimile
 Posté le 30/10/2014 à 09:53 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Il est possible que ton fichier sources.list soit différent du mien et que ma mise à jour (avec apt-get install puis upgrade) ait endommagé le fichier /var/lib/gdm3/.ICEauthority.

Voici mon sources.list

# Debian Wheezy
# Dépôt principal qui suffit à lui tout seul à faire l'installation de base
deb http://ftp.fr.debian.org/debian/ wheezy main non-free contrib
deb-src http://ftp.fr.debian.org/debian/ wheezy main non-free contrib

# Wheezy - security
# Mises à jour de sécurité à installer rapidement
deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free

# Wheezy - updates
# Dépôt pour logiciels nécessitant des mises à jour fréquentes et opportunes
deb http://ftp.fr.debian.org/debian/ wheezy-updates main non-free contrib
deb-src http://ftp.fr.debian.org/debian/ wheezy-updates main non-free contrib

# Wheezy - rétroportages
# Paquets en provenance de la prochaine version mais adaptés pour s’intégrer sur votre système stable
deb http://ftp.debian.org/debian/ wheezy-backports main contrib non-free

# Pour avoir la dernière version de firefox
deb http://mozilla.debian.net/ wheezy-backports iceweasel-release

Pour le surplus, si tu fais une recherche sur le net avec pour mots clefs "could not update ICEauthority file /var/lib/gdm3/.ICEauthority", tu verras que c'est un problème évoqué dans de nombreux postes.

C'est d'ailleurs sur l'un d'eux que j'ai trouvé la solution (clic)

Amicalement

Publicité
Mimile
 Posté le 01/11/2014 à 14:52 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Mori a écrit :

salut,

dans ma centos, pour avoir le pavé numérique actif (avec numlockx installé) en console TTY :

$ su - (alternatives selon les distros ou configuration personnalisée : $ su -c "nano /etc/rc.local" ou $ sudo nano /etc/rc.local)

# nano /etc/rc.local

et copier à la fin :

# Turn Numlock on for the TTYs:
for tty in /dev/tty[1-6]; do
/usr/bin/setleds -D +num < $tty
done

valider par ctrl o et quitter par ctrl x
j'aime bien nano, mais on peut préférer vi, vim ou emacs.

heu... sinon # apt-get dist-upgrade est quand même préférable à # apt-get upgrade.

Merci pour le tuyau concernant le clavier numérique activé en consoles tty.

A noter que tu écris "et copier à la fin : " ...

En ce qui me concerne /etc/rc.local ne contenait rien d'autre que "exit 0" précédé d'un commentaire en anglais que je ne me suis pas pris la peine de traduire mais qui se clôture avec une formule dans le genre : by défaut, this script does nothing.

Pour le surplus, il faudra que je m'intéresse à la différence existant entre apt-get upgrade et apt-get dist-upgrade.

A+

Mori
 Posté le 01/11/2014 à 15:05 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

pour le surplus, il n'y a qu'à demander : http://www.clapico.com/2012/03/17/upgrade-dist-upgrade/

Mimile
 Posté le 02/11/2014 à 09:53 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Merci pour le lien : dorénavant, j'utiliserai dist-upgrade

A+

m_n
 Posté le 02/11/2014 à 13:53 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Mori a écrit



valider par ctrl o et quitter par ctrl x
j'aime bien nano, mais on peut préférer vi, vim ou emacs.

Juste une petite correction .. pour aider les débutants ..

Pour valider l'éditeur ( Nano ) :

Ctrl + o (avec la lettre o et non avec le chiffre zéro ) --> Enter --> Ctrl + x

Bonne journée

Logicien
 Posté le 02/11/2014 à 15:30 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Ou bien l'éditeur de Midnight Commander

mc -e /chemin/vers/le/fichier/texte

Les touches F1 à F10 indiquent ce qu'elles font au bas de l'éditeur.

L'avantage de Nano et Vi est qu'ils sont déjà installés avec une distribution. Vim, Emacs et Midnight Commander doivent être installés après

sudo apt-get install vim emacs mc



Modifié par Logicien le 02/11/2014 15:46
m_n
 Posté le 11/11/2014 à 15:44 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Mimile a écrit :

Il est possible que ton fichier sources.list soit différent du mien et que ma mise à jour (avec apt-get install puis upgrade) ait endommagé le fichier /var/lib/gdm3/.ICEauthority.

Voici mon sources.list

# Debian Wheezy
# Dépôt principal qui suffit à lui tout seul à faire l'installation de base
deb http://ftp.fr.debian.org/debian/ wheezy main non-free contrib
deb-src http://ftp.fr.debian.org/debian/ wheezy main non-free contrib

# Wheezy - security
# Mises à jour de sécurité à installer rapidement
deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free

# Wheezy - updates
# Dépôt pour logiciels nécessitant des mises à jour fréquentes et opportunes
deb http://ftp.fr.debian.org/debian/ wheezy-updates main non-free contrib
deb-src http://ftp.fr.debian.org/debian/ wheezy-updates main non-free contrib

# Wheezy - rétroportages
# Paquets en provenance de la prochaine version mais adaptés pour s’intégrer sur votre système stable
deb http://ftp.debian.org/debian/ wheezy-backports main contrib non-free

# Pour avoir la dernière version de firefox
deb http://mozilla.debian.net/ wheezy-backports iceweasel-release

Pour le surplus, si tu fais une recherche sur le net avec pour mots clefs "could not update ICEauthority file /var/lib/gdm3/.ICEauthority", tu verras que c'est un problème évoqué dans de nombreux postes.

C'est d'ailleurs sur l'un d'eux que j'ai trouvé la solution (clic)

Amicalement

voici les miennes ( sources.list ) :

---------------------------------

deb http://ftp3.nrc.ca/debian/ jessie main contrib non-free
deb-src http://ftp3.nrc.ca/debian/ jessie main contrib non-free


deb http://security.debian.org/ jessie/updates main contrib non-free

deb-src http://security.debian.org/ jessie/updates main contrib non-free

# jessie-updates, previously known as 'volatile'
deb http://ftp3.nrc.ca/debian/ jessie-updates main contrib non-free

deb-src http://ftp3.nrc.ca/debian/ jessie-updates main contrib non-free

# jessie-backports, previously on backports.debian.org
deb http://ftp3.nrc.ca/debian/ jessie-backports main contrib non-free

deb-src http://ftp3.nrc.ca/debian/ jessie-backports main contrib non-free


deb http://ftp.ca.debian.org/debian/ wheezy-proposed-updates main contrib non-free


----------------------------



Modifié par m_n le 11/11/2014 16:12
Page : [1] 
Page 1 sur 1

Vous devez être connecté pour poster des messages. Cliquez ici pour vous identifier.

Vous n'avez pas de compte ? Créez-en un gratuitement !


Sujets relatifs
Mise à jour de ma Debian Wheezy vers Jessie
Carte wifi plus reconnue après mise à jour Debian Testing
Besoin de conseils pour mise à jour Debian Testing
Debian Wheezy : Echec des mises à jour
Prévenir la mise-à-jour d'un paquet sous Debian et dérivées
Mise-à-jour Debian Testing/Sid: Améliorations !
mot de passe non reconnu apres mise à jour
Ecran noir après mise à jour de logiciels
carte son muette apres mise a jour UBUNTU
mise a jour adobe
Plus de sujets relatifs à Debian Wheezy HS après mise à jour
 > Tous les forums > Forum Linux